.FormCheckBox {
	@apply py-4 text-left;
}

.FormCheckBox:hover,
.FormCheckBox input:hover,
.FormCheckBox label:hover {
	@apply cursor-pointer;
}

.FormCheckBox label {
	@apply flex flex-row items-center justify-start;
}

.FormCheckBox input {
	@apply absolute appearance-none m-0 border-0;
	transform: translate(1em);
}

.FormCheckBox input + .switchHolder {
	@apply bg-gray-200
		border-4
		border-dashed
		border-gray-400
    inline-block
		m-0
		p-1
    mr-2
		transition-all;
	height: 2.4rem;
	width: 2.7em;
}

.FormCheckBox input:hover + .switchHolder,
.FormCheckBox input:focus-visible + .switchHolder {
	@apply opacity-70 transition-all;
}

.FormCheckBox input + .switchHolder > .switch {
	@apply inline-block 
    bg-gray-400
    m-0
    origin-center
    p-0
    transition-all;
	height: 1.2em;
	transform: translate(0);
	width: 1.2em;
}

.FormCheckBox input:checked + .switchHolder {
	@apply bg-green-100 transition-all;
}

.FormCheckBox input:checked + .switchHolder > .switch {
	@apply bg-green-600 origin-center transition-all;
	transform: translate(1em);
}
